## aprs4web-1.0.3.99.rc6.tar.gz

=== openwrt/Makefile ===

include $(TOPDIR)/rules.mk

PKG_NAME:=aprs4web
PKG_VERSION:=1.0.3
PKG_RELEASE:=1
PKG_MD5SUM:=0f1a2dd4310513365f12d27b2041097d

PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=http://www.aprs4r.org/download

PKG_CAT:=zcat

PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)

include $(INCLUDE_DIR)/package.mk


define Package/aprs4web
	SECTION:=utils
	CATEGORY:=Hamradio
	DEFAULT:=n
	TITLE:=aprs4web - a web based aprs visualisation with Google Maps
	DEPENDS:=+aprs4r +aprs4r-web
	URL:=http://www.aprs4r.org/
endef

define Package/aprs4web/description
	aprs4web - a web based aprs visualisation with Goolge Maps

	http://www.aprs4r.org/
endef

define Build/Configure
	echo "configure"
endef

define Build/Compile
	echo "compile"
endef

define Package/aprs4web/install
	install -d -m0755 $(1)/etc/aprs4web
	install -m0644 $(PKG_BUILD_DIR)/etc/aprs4web/aprs4web.js.template $(1)/etc/aprs4web
	install -d -m0755 $(1)/usr/share/aprs4r-web/documents
	cp -r $(PKG_BUILD_DIR)/documents $(1)/usr/share/aprs4r-web/documents/aprs4web
	ln -fs /etc/aprs4web/aprs4web.js $(1)/usr/share/aprs4r-web/documents/aprs4web/aprs4web.js 
	ln -fs /var/log/aprs4r/data_rf0.xml $(1)/usr/share/aprs4r-web/documents/aprs4web/data_rf0.xml 
	ln -fs /var/log/aprs4r/data_is0.xml $(1)/usr/share/aprs4r-web/documents/aprs4web/data_is0.xml 
endef

define Package/aprs4web/postinst
#!/bin/sh
#
# APRS4R post install script. 
#

# enable automatic startup, start aprs4r-web
if [ -z "${IPKG_INSTROOT}" ]; then

    if [ ! -f /etc/aprs4web/aprs4web.js ]; then
	cp /etc/aprs4web/aprs4web.js.template /etc/aprs4web/aprs4web.js
    fi

else
    # copy auth template if package is installed into firmware image
    cp ${IPKG_INSTROOT}/etc/aprs4web/aprs4web.js.template ${IPKG_INSTROOT}/etc/aprs4web/aprs4web.js
fi

exit 0
endef

$(eval $(call BuildPackage,aprs4web))

=== debian/changelog ===
aprs4web (1.0.3.99-rc5) UNRELEASED; urgency=low

  * Release Candidate 5 for Version 1.0.4

 -- Bernd Strehhuber <aprs4r@inti.inka.de>  Sun, 07 Nov 2010 22:04:23 +0100

aprs4web (1.0.3.99-rc2) UNRELEASED; urgency=low

  * Release Candidate 2 for Version 1.0.4

 -- Bernd Strehhuber <aprs4r@inti.inka.de>  Tue, 12 Oct 2010 15:33:19 +0200

aprs4web (1.0.3) UNRELEASED; urgency=low

  * bugfix release Version 1.0.3

 -- Bernd Strehhuber <aprs4r@inti.inka.de>  Sun, 21 Mar 2010 14:49:12 +0100

aprs4web (1.0.2-2) UNRELEASED; urgency=low

  * platform independent debian packages

 -- Michael Conrad <do5mc@aprs4r.org>  Thu, 31 Dec 2009 15:14:01 +0100

aprs4web (1.0.2-1) UNRELEASED; urgency=low

  * bugfix release

 -- Bernd Strehhuber <aprs4r@inti.inka.de>  Thu, 01 Oct 2009 22:50:11 +0200

aprs4web (1.0.1-rc6) unstable; urgency=low

  * new release candidate

 -- Michael Conrad <do5mc@aprs4r.org>  Sun, 07 Sep 2008 12:56:27 +0200

aprs4web (1.0.0) unstable; urgency=low

  * Initial Debian Release.

 -- Michael Conrad <do5mc@aprs4r.org>  Tue, 29 Apr 2008 22:17:34 +0200

=== debian/control ===
Source: aprs4web
Section: hamradio
Priority: optional
Maintainer: Michael Conrad <do5mc@aprs4r.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: aprs4web
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, aprs4r, aprs4r-web
Description: web based APRS visualisation with Google Maps
